# Generated by Django 5.0.4 on 2024-05-15 13:05

import wagtail
from django.db import migrations, models


def update_person_page_primary_group(apps, schema_editor):
    DistrictPeoplePage = apps.get_model("district", "DistrictPeoplePage")
    DistrictPersonPage = apps.get_model("district", "DistrictPersonPage")

    processed_page_ids = []

    for people_page in DistrictPeoplePage.objects.all():
        for group_block in people_page.people.get_prep_value():
            if group_block["type"] != "people_group":
                continue

            primary_group = group_block["value"]["title"]
            person_page_ids = group_block["value"]["person_list"]

            person_pages = []

            for id in person_page_ids:
                person_pages.append(
                    DistrictPersonPage.objects.filter(id=id["value"]).first()
                )

            if len(primary_group) > 64:
                continue  # Too long!

            for page in person_pages:
                if page.id in processed_page_ids:
                    continue

                page.primary_group = primary_group
                page.save()

                processed_page_ids.append(page.id)


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0177_remove_districtpersonpage_show_email_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtpersonpage",
            name="primary_group",
            field=models.CharField(
                blank=True,
                help_text="např. 'Europarlament' nebo 'Sněmovna'",
                max_length=64,
                null=True,
                verbose_name="Kategorie",
            ),
        ),
        migrations.AlterField(
            model_name="districtpersonpage",
            name="text",
            field=wagtail.fields.RichTextField(),
        ),
        migrations.RunPython(update_person_page_primary_group),
    ]
