# Generated by Django 4.0.7 on 2022-08-24 14:12

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailimages", "0024_index_image_file_hash"),
        ("main", "0015_mainarticlespage_last_import_log"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="mainpersonpage",
            name="facebook",
        ),
        migrations.RemoveField(
            model_name="mainpersonpage",
            name="instagram",
        ),
        migrations.RemoveField(
            model_name="mainpersonpage",
            name="twitter",
        ),
        migrations.AddField(
            model_name="mainpersonpage",
            name="main_image",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to="wagtailimages.image",
                verbose_name="Hlavní obrázek",
            ),
        ),
        migrations.AddField(
            model_name="mainpersonpage",
            name="people",
            field=wagtail.fields.StreamField(
                [
                    (
                        "people_group",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Titulek")),
                                (
                                    "slug",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky vyplněno",
                                        label="Slug skupiny",
                                        required=False,
                                    ),
                                ),
                                (
                                    "person_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            label="Detail osoby",
                                            page_type=["main.MainPersonPage"],
                                        ),
                                        label="Skupina osob",
                                    ),
                                ),
                            ],
                            label="Seznam osob",
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Lidé",
            ),
        ),
        migrations.AddField(
            model_name="mainpersonpage",
            name="profile_image",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to="wagtailimages.image",
                verbose_name="Profilový obrázek",
            ),
        ),
        migrations.AddField(
            model_name="mainpersonpage",
            name="social_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "social_links",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "text",
                                    wagtail.blocks.CharBlock(
                                        label="Titulkek odkazu (text, který se zobrazí místo dlouhého odkazu)"
                                    ),
                                ),
                                ("link", wagtail.blocks.URLBlock(label="Odkaz")),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Seznam ikon - https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons",
                                        label="Ikona",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Odkazy na sociální sítě",
            ),
        ),
        migrations.AlterField(
            model_name="mainhomepage",
            name="social_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "social_links",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "text",
                                    wagtail.blocks.CharBlock(
                                        label="Titulkek odkazu (text, který se zobrazí místo dlouhého odkazu)"
                                    ),
                                ),
                                ("link", wagtail.blocks.URLBlock(label="Odkaz")),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Seznam ikon - https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons",
                                        label="Ikona",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Odkazy na sociální sítě v zápatí webu",
            ),
        ),
    ]
